=== debian/changelog ===
parallel (20251022) unstable; urgency=low

  * New upstream version

 -- Ole Tange <ole@tange.dk>  Fri, 04 Jun 2010 02:00:06 +0200
