=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

ftp://ftp.gnu.org/gnu/parallel/parallel-(.*).tar.bz2
