=== src/Makefile ===
--- 
+++ 
@@ -187,15 +187,15 @@
 PACKAGE = parallel
 PACKAGE_BUGREPORT = bug-parallel@gnu.org
 PACKAGE_NAME = parallel
-PACKAGE_STRING = parallel 20251022
+PACKAGE_STRING = parallel 20251122
 PACKAGE_TARNAME = parallel
 PACKAGE_URL = 
-PACKAGE_VERSION = 20251022
+PACKAGE_VERSION = 20251122
 PATH_SEPARATOR = :
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = 
-VERSION = 20251022
+VERSION = 20251122
 abs_builddir = /usr/src/packages/BUILD/src
 abs_srcdir = /usr/src/packages/BUILD/src
 abs_top_builddir = /usr/src/packages/BUILD
