## parallel init

=== Makefile ===


rc: rc.c
	gcc -g -Wall -O2 rc.c -o rc


all: rc
