## parallel llm-0.6.18

=== requirements.txt ===
# Core dependencies
torch>=2.2.0
triton>=2.2.0
transformers>=4.36.0
accelerate>=0.25.0
deepspeed>=0.12.0

# Distributed training
torch-distributed>=0.1.0

# Optimization
flash-attn>=2.5.0
xformers>=0.0.23

# Multimodal
torchvision>=0.17.0
timm>=0.9.0
open-clip-torch>=2.24.0

# Utilities
numpy>=1.24.0
einops>=0.7.0
wandb>=0.16.0
tensorboard>=2.15.0
tqdm>=4.66.0
safetensors>=0.4.0
huggingface-hub>=0.20.0

# Inference optimization
vllm>=0.3.0

# Development
pytest>=7.0.0
black>=23.0.0
