## parallel mode.html?file=musl%2Fsources%2Flinux-5.8.5

=== drivers/counter/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
#
# Makefile for Counter devices
#

obj-$(CONFIG_COUNTER) += counter.o

obj-$(CONFIG_104_QUAD_8)	+= 104-quad-8.o
obj-$(CONFIG_STM32_TIMER_CNT)	+= stm32-timer-cnt.o
obj-$(CONFIG_STM32_LPTIMER_CNT)	+= stm32-lptimer-cnt.o
obj-$(CONFIG_TI_EQEP)		+= ti-eqep.o
obj-$(CONFIG_FTM_QUADDEC)	+= ftm-quaddec.o
